
Figure - Bug #114914
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT2】【游戏模式】部分游戏运行时，屏幕两侧有黑边
2022-12-28 17:36 - CD Test赵飞

Status: CLOSED Start date: 2022-12-28

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0063.X101

Resolution: WONTFIX Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 因设备分辨率是 2560x1080，部分游戏对特殊分辨率不适配，导致黑边。

Description

【前提条件】

1、设备已开机

2、安装一些主流top 10游戏

【测试步骤】

1、分别打开游戏并运行

2、查看画面显示

【预期结果】

2、游戏运行正常，画面全屏显示

【实际结果】

5、top 10游戏中有两款游戏运行时，屏幕两侧有黑边

【备注】

存在黑边的游戏：

和平精英

暗黑破坏神

参考机（联想平板、华为平板）不存在此问题

History

#1 - 2022-12-29 11:08 - CD FW-廖涛

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-廖涛 to CD Test赵飞

- Resolution changed from -- to WONTFIX

- Degrated changed from -- to No

- Root cause set to 因设备分辨率是 2560x1080，部分游戏对特殊分辨率不适配，导致黑边。

■ Current conclusion

■ My analysis

因设备分辨率是 2560x1080，部分游戏对特殊分辨率不适配，导致黑边。
可以通过命令设置设备分辨率：

adb shell wm size 1920x1080 #16：9

adb shell wm size 2520x1080 #21：9

adb shell wm size 1728x1080 #16：10

经验证：

和平精英支持 21：9、16：10、16：9 比例；

暗黑破坏神支持 16：10、16：9 比例；

■ Next action

测试验证。

#2 - 2022-12-29 18:10 - CDTS-TEST 周婷

- Assignee changed from CD Test赵飞 to CD FW-廖涛

如已修改请正确流转bug 状态

#3 - 2022-12-29 19:24 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD Test赵飞

游戏应用本身适配问题，无需修改。

#4 - 2023-01-03 13:41 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

#5 - 2023-01-03 13:48 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
